﻿using Connected.Annotations;
using Connected.Entities.Annotations;
using System.Text.Json.Serialization;

namespace Connected.Entities.Consistency;

public abstract record ConsistentEntity<TPrimaryKey> : Entity<TPrimaryKey>
	 where TPrimaryKey : notnull
{
	[Ordinal(10000), ETag, JsonIgnore]
	public string? ETag { get; init; }
}
